function switchDateTodo(switcher)
{
    if(switcher.checked)
    {
        $('#date').attr('disabled','disabled');
        $('[name^=switchDate]:not(:checked)').click();
    }
    else
    {
        $('#date').removeAttr('disabled');
        $('[name^=switchDate]:checked').click();
    }
    $('[name=type]').val('custom').trigger('chosen:updated');
}

function loadList(type, id)
{
    if(id)
    {
        divClass = '.nameBox' + id;
        divID    = '#nameBox' + id;
    }
    else
    {
        divClass = '.nameBox';
        divID    = '#nameBox';
    }

    if(type != 'custom')
    {
        var param = 'account=' + v.account;
        if(id) param += '&id=' + id;

        if(type == 'task')
        {
            link = createLink('task', 'ajaxGetTodoList', param);
        }
        else if(type == 'order')
        {
            link = createLink('crm.order', 'ajaxGetTodoList', param);
        }
        else if(type == 'customer')
        {
            link = createLink('crm.customer', 'ajaxGetTodoList', param);
        }

        $(divClass).load(link, function(){$(divClass).find('select').chosen()});
        $(divClass).find('select').attr('id', 'name').attr('name', 'name');
    }
    else
    {
        $(divClass).html($(divID).html());
        $(divClass).find('input').attr('id', 'name').attr('name', 'name');
    }
}

function selectNext()
{
    $("#end ")[0].selectedIndex = $("#begin ")[0].selectedIndex + 3;
}

function switchDateFeature(switcher)
{
    $switcher = $(switcher);
    if(switcher.checked)
    {
        $switcher.parents('form').find('#begin').attr('disabled','disabled');
        $switcher.parents('form').find('#end').attr('disabled','disabled');
    }
    else
    {
        $switcher.parents('form').find('#begin').removeAttr('disabled');
        $switcher.parents('form').find('#end').removeAttr('disabled');
    }
}

function changeDayType()
{
    dayType = $('.config-dayType:checked').val();
    if(dayType == 'every')
    {
        $('#everyInput').removeAttr('disabled');
        $('.specify').addClass('hidden');
        $('.every').removeClass('hidden');
        $('#cycleYear').removeAttr('checked');
    }
    else
    {
        $('#everyInput').attr('disabled','disabled');
        $('.specify').removeClass('hidden');
        $('.every').addClass('hidden')
        $('#every').removeAttr('checked');
        $('#skipNoWork').removeAttr('checked');
    }
}

/**
 * Set days by specified month.
 *
 * @param  int $specifiedMonth
 * @access public
 * @return void
 */
function setDays(specifiedMonth)
{
    /* Get last day in specified month. */
    var date = new Date();
    date.setMonth(specifiedMonth);
    var month = date.getMonth() + 1;
    date.setMonth(month);
    date.setDate(0);
    var specifiedMonthLastDay = date.getDate();

    $('#specifiedDay').empty('');
    for(var i = 1; i <= specifiedMonthLastDay; i++)
    {
        html = "<option value='" + i + "' title='" + i + "' data-keys='" + i + "'>" + i + "</option>";

        $('#specifiedDay').append(html);
    }
}
